Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.venus.editors.jeditsyntax
Interface TextAreaPainter.Highlight

Enclosing class:
  TextAreaPainter

    public static interface TextAreaPainter.Highlight

Highlight interface.

Method Summary
`String` | `getToolTipText(MouseEvent evt)` Returns the tool tip to display at the specified location.
`void` | `init(JEditTextArea textArea, TextAreaPainter.Highlight next)` Called after the highlight painter has been added.
`void` | `paintHighlight(Graphics gfx, int line, int y)` This should paint the highlight and delgate to the next highlight painter.

Method Detail

### init

    void init(JEditTextArea textArea,
              TextAreaPainter.Highlight next)

  Called after the highlight painter has been added.

  Parameters:
    `textArea` - The text area
    `next` - The painter this one should delegate to

### paintHighlight

    void paintHighlight(Graphics gfx,
                        int line,
                        int y)

  This should paint the highlight and delgate to the next highlight painter.

  Parameters:
    `gfx` - The graphics context
    `line` - The line number
    `y` - The y co-ordinate of the line

### getToolTipText

    String getToolTipText(MouseEvent evt)

  Returns the tool tip to display at the specified location. If this highlighter doesn't know what to display, it should delegate to the next highlight painter.

  Parameters:
    `evt` - The mouse event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD